<template>
  <nav
    :class="{
      opened,
      expanded
    }"
    @mouseenter="opened = true"
    @mouseleave="opened = false"
  >
    <NavItem icon="home" href="/admin" caption="Главная"/>
    <Spacer />
    <NavItem icon="bell" href="/admin/alerts" caption="Оповещения"/>
    <NavItem icon="speed" href="/admin/dashboard" caption="Показатели"/>
    <Spacer />
    <NavItem icon="cog" href="/admin/settings" caption="Общие настройки"/>
    <NavItem icon="user" href="/admin/users" caption="Пользователи"/>
    <NavItem icon="component" href="/admin/components" caption="Компоненты"/>
    <NavItem icon="pages" href="/admin/pages" caption="Страницы"/>
    <Spacer />
    <NavItem icon="requests" href="/admin/tickets" caption="Заявки"/>
    <Spacer fill/>
    <Expander/>
  </nav>
</template>

<script>
import { onMounted, ref } from "vue";
import NavItem from "./NavItem";
import Spacer from "./Spacer";
import Expander from "./Expander";
import { mapState } from 'vuex'

export default {
  components: { NavItem, Spacer, Expander },
  setup() {
    const opened = ref(false);
    onMounted(async () => {});

    return { opened };
  },
  computed: {
    ...mapState('navigation', {
      expanded: 'navOpened'
    })
  }
};
</script>

<style scoped lang="scss">
nav {
  font-family: Roboto, sans-serif;
  font-size: 14px;
  position: fixed;
  z-index: 10;
  top: 0;
  bottom: 0;
  left: 0;

  display: flex;
  flex-direction: column;
  overflow: hidden;

  width: 44px;
  background-color: #373D4A;

  transition: 0.4s ease all;

  --color: #F4F5F7;

  &.opened, &.expanded {
    width: 200px;
  }

  &.expanded {
    background: #F1F3F3;
    border-right: 1px solid #0000001a;

    --color: #373D4A;
  }
}
</style>
